Bug 991055 - [RFE] simple access provider: support subdomain users and groups
[RFE] simple access provider: support subdomain users and groups
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 09:28 EDT by Dmitri Pal
Modified: 2014-06-18 00:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: sssd-1.11.1-1.el7
Doc Type: Enhancement
Doc Text:
Feature: The simple access provider of SSSD allows to set an Access Control List to allow or deny specific users. This RFE extends the simple access funtionality on users from trusted domains from the same forest. Reason: Because the SSSD is able to resolve and authenticate users from trusted domains, also access control must be properly implemented for these users. Result (if any): Using a fully-qualified user or group name in the simple access control list allows or denies the user as appropriate.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:16:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2013-08-01 09:28:54 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2034

Support users and groups from trusted domain in simple access provider.
Comment 1 Jakub Hrozek 2013-08-08 06:44:32 EDT
Pavel is working on this problem.
Comment 2 Jakub Hrozek 2013-09-17 10:20:16 EDT
Fixed upstream.
Comment 4 Jakub Hrozek 2013-10-04 09:23:49 EDT
Temporarily moving bugs to MODIFIED to work around errata tool bug
Comment 6 Kaushik Banerjee 2014-01-14 13:01:28 EST
Verified in version 1.11.2-23.el7

Output from beaker automation run:

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_forest_simple_001: simple_allow_users=user1@domain1.com
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'su_success user1_dom1@sssdad.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_permission_denied user1_dom2@sssdad_tree.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/log/secure' should contain 'Permission denied' 
:: [   LOG    ] :: Duration: 9s
:: [   LOG    ] :: Assertions: 3 good, 0 bad
:: [   PASS   ] :: RESULT: ad_forest_simple_001: simple_allow_users=user1@domain1.com

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_forest_simple_002: bz 991055 simple_allow_users=user1@domain1.com,user2@domain2.com,user3@child.domain1.com
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'su_success user1_dom1@sssdad.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_success user1_dom2@sssdad_tree.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_success user1_dom3@child1.sssdad.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_permission_denied user2_dom1@sssdad.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/log/secure' should contain 'Permission denied' 
:: [   LOG    ] :: Duration: 10s
:: [   LOG    ] :: Assertions: 5 good, 0 bad
:: [   PASS   ] :: RESULT: ad_forest_simple_002: bz 991055 simple_allow_users=user1@domain1.com,user2@domain2.com,user3@child.domain1.com

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_forest_simple_003: simple_allow_users=DOMAIN1\user1,DOMAIN2\user2,CHILD1.DOMAIN1\user3
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   FAIL   ] :: Running 'su_success user1_dom1@sssdad.com Secret123' (Expected 0, got 1)
:: [   PASS   ] :: Running 'su_success user1_dom2@sssdad_tree.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_success user1_dom3@child1.sssdad.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_permission_denied user2_dom1@sssdad.com Secret123' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 12s
:: [   LOG    ] :: Assertions: 3 good, 1 bad
:: [   FAIL   ] :: RESULT: ad_forest_simple_003: simple_allow_users=DOMAIN1\user1,DOMAIN2\user2,CHILD1.DOMAIN1\user3

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_forest_simple_004: simple_deny_users=user2@domain2.com,user3@child.domain1.com
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'su_success user1_dom1@sssdad.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_permission_denied user1_dom2@sssdad_tree.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_permission_denied user1_dom3@child1.sssdad.com Secret123' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 10s
:: [   LOG    ] :: Assertions: 3 good, 0 bad
:: [   PASS   ] :: RESULT: ad_forest_simple_004: simple_deny_users=user2@domain2.com,user3@child.domain1.com

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_forest_simple_005: simple_allow_groups=group1@domain1.com,group2@domain2.com,group3@child.domain1.com
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'su_success user1_dom1@sssdad.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_success user1_dom2@sssdad_tree.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_success user1_dom3@child1.sssdad.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_permission_denied user2_dom1@sssdad.com Secret123' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 11s
:: [   LOG    ] :: Assertions: 4 good, 0 bad
:: [   PASS   ] :: RESULT: ad_forest_simple_005: simple_allow_groups=group1@domain1.com,group2@domain2.com,group3@child.domain1.com

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_forest_simple_006: simple_allow_groups=DOMAIN\group
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   FAIL   ] :: Running 'su_success user1_dom1@sssdad.com Secret123' (Expected 0, got 1)
:: [   PASS   ] :: Running 'su_success user1_dom2@sssdad_tree.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_success user1_dom3@child1.sssdad.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_permission_denied user2_dom1@sssdad.com Secret123' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 12s
:: [   LOG    ] :: Assertions: 3 good, 1 bad
:: [   FAIL   ] :: RESULT: ad_forest_simple_006: simple_allow_groups=DOMAIN\group

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_forest_simple_007: simple_deny_groups=group1@domain1.com
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'su_success user1_dom1@sssdad.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_permission_denied user1_dom2@sssdad_tree.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_permission_denied user1_dom3@child1.sssdad.com Secret123' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 10s
:: [   LOG    ] :: Assertions: 3 good, 0 bad
:: [   PASS   ] :: RESULT: ad_forest_simple_007: simple_deny_groups=group1@domain1.com

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_forest_simple_008: Permit All Users
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'su_success user1_dom1@sssdad.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_success user1_dom2@sssdad_tree.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_success user1_dom3@child1.sssdad.com Secret123' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 10s
:: [   LOG    ] :: Assertions: 3 good, 0 bad
:: [   PASS   ] :: RESULT: ad_forest_simple_008: Permit All Users

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_forest_simple_09: Deny All Users
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'su_permission_denied user1_dom1@sssdad.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_permission_denied user1_dom2@sssdad_tree.com Secret123' (Expected 0, got 0)
:: [   PASS   ] :: Running 'su_permission_denied user1_dom3@child1.sssdad.com Secret123' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 11s
:: [   LOG    ] :: Assertions: 3 good, 0 bad
:: [   PASS   ] :: RESULT: ad_forest_simple_09: Deny All Users
Comment 7 Ludek Smid 2014-06-13 09:16:07 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.